use strict;
use warnings;

use AWS::CLIWrapper;

if (@ARGV < 1) {
    print "Usage: terminate-instances.pl [instance id]\n";
    exit 1;
}

my @instance_ids = @ARGV;

my $aws = AWS::CLIWrapper->new(
    region => 'ap-northeast-1'
);

$aws->ec2('terminate-instances' => {
    'instance-ids' => [@instance_ids],
});
