use strict;
use warnings;

use WebService::Mackerel;
use JSON;
use Data::Dumper;

my $mkr = WebService::Mackerel->new(
    api_key      => $ENV{MACKEREL_API_KEY},
    service_name => $ENV{MACKEREL_SERVICE_NAME},
);

my $payload = decode_json( $mkr->get_monitor );
my $monitors = $payload->{monitors};

print Dumper $monitors;
