use strict;
use warnings;

use WebService::Slack::WebApi;

if (@ARGV < 2) {
    print "Usage: slack.pl [room] [message]\n";
    exit 1;
}

my ($channel, $text) = @ARGV;

my $slack = WebService::Slack::WebApi->new(
    token => $ENV{SLACK_TOKEN},
);

$slack->chat->post_message(
    channel => $channel,
    text    => $text,
);
